Subject: [dtn-interest] a question about bundles
From: Steve King <[email-masked]>
To: [email-masked]
Date: Wed, 31 Aug 2005 09:50:23 -0700
List-Id: Delay Tolerant Networking Interest List <dtn-interest.mailman.dtnrg.org>

I am reading the DTN architecture documents. There is one figure showing 
that there is a bundle layer above the TCP/IP layer in the conventional 
protocol stack.
Seems that each gateway should support this bundle layer. If there are no 
path/links between two gateways residing in two different regions, the 
bundles have to wait for a long time before they can be transmitted. Is my 
understanding correct?
If the bundles layer is above the TCP/IP layers, any existing routing 
protocols can be used. In this case, how do the routing protocols presented 
at the SIGCOMM04 paper (K. Fall and others) fit into the DTN architecture? 
For bundles delivery, do we have to use TCP, as these bundles do not have 
stringent time requirement? I must miss something here.
  thanks a lot for your responses.
 Steve